#!/bin/sh

cd `query 'name="Swedish_Kit"'` 

answer=`alert "You are now to install the swedish kit. This is a *real hack* which will *not* \
work with any other version of BeOS than R4.5/Intel. You can get back the original system \
by running the uninstall script. Do you want to proceed?" "No" "Yes"`

if [ $answer == "No" ]; then
	exit
fi

answer=`alert "The first step is to choose keymap. They come in two flavours. \
They differ in which key that is used for generating the graphical characters. \
(Matters only when you have chosen 'Alt' as the shortcut key in the Menu Preferences.)

The first one is the Alt-version, which maps {,[,],.. to the Alt-Gr key and the \
\"short cut\" key to the right Windows key. (Standard behaviour)

The second one is the Win-version which maps {,[,],.. to the right Windows key and the \
\"short cut\" key to the right Alt-Gr key. (Non-standard, but more consistent, IMHO.)

Which one do you want?" "None" "Alt" "Win"`

keymap -d  > /boot/home/config/settings/Keymap/Original-Keymap

if [ $answer == "Alt" ]; then
	cp ./Keymaps/SwedishKeymap.AltSpecChar /boot/home/config/settings/Keymap/
	keymap -l ./Keymaps/SwedishKeymap.AltSpecChar
	alert "Hit Use in the next window and then close it to preserve the changes." "OK"
	/boot/preferences/Keymap
fi

if [ $answer == "Win" ]; then
	cp ./Keymaps/SwedishKeymap.WinSpecChar /boot/home/config/settings/Keymap/
	keymap -l ./Keymaps/SwedishKeymap.WinSpecChar
	alert "Hit Use in the next window and then close it to preserve the changes." "OK"
	/boot/preferences/Keymap
fi

answer=`alert "Do you want to install the 24 hr version of the Tracker?

(I will restart the Tracker. The old one might crash; that is OK.)" "No" "Yes"`

if [ $answer == "Yes" ]; then

	if [ ! -f /boot/beos/system/Tracker-original ]; then
		echo "Making a copy of the Tracker..."
		cp /boot/beos/system/Tracker /boot/beos/system/Tracker-original
		mimeset /boot/beos/system/Tracker-original
	fi
	
	echo "Patching the the Tracker to show a 24 hour time..."
	./bin/qpatch /boot/beos/system/Tracker < ./Data/T.bdiff

	echo "Installing the new 24-hr Tracker..."

	kill -9 Tracker
#	alert "Press OK when the Tracker is gone and I'll relaunch it." "OK"
	/boot/beos/system/Tracker &
fi


answer=`alert "Do you want to install the 24 hr version of the Deskbar?

(Unfortunately, the replicants you have in the Deskbar will disappear \
until the next boot, unless you put them back by re-running the corrsponding apps. \
Sorry about that.)" "No" "Yes"`

if [ $answer == "Yes" ]; then

	if [ ! -f /boot/beos/system/Deskbar-original ]; then
		echo "Making a copy of the Deskbar..."
		cp /boot/beos/system/Deskbar /boot/beos/system/Deskbar-original
		mimeset /boot/beos/system/Deskbar-original
	fi
	
	echo "Patching the the Deskbar to show a 24 hour time..."
	./bin/qpatch /boot/beos/system/Deskbar <./Data/D.bdiff
	
	echo "Installing the new 24-hr Deskbar..."
	kill -9 Deskbar
#	alert "Press OK when the Deskbar is gone and I'll relaunch it." "OK"
	/boot/beos/system/Deskbar &
fi

echo "Finished!"

